Bug 861190 - [rfe] Additional clarification in tooltip for syntax requirement when searching for specific errata.
[rfe] Additional clarification in tooltip for syntax requirement when searchi...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: Walden Raines
sthirugn@redhat.com
: FutureFeature, Triaged
Depends On:
Blocks: 1130651
  Show dependency treegraph
 
Reported: 2012-09-27 14:35 EDT by Corey Welton
Modified: 2017-02-23 16:20 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-12 09:58:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot (21.83 KB, image/png)
2012-09-27 14:48 EDT, Corey Welton
no flags Details

  None (edit)
Description Corey Welton 2012-09-27 14:35:03 EDT
Description of problem:
When searching for the exact name of an errata, i.e., RHSA-2010:0842, user is required to put this in full quotes, i.e., "RHSA-2010:0842". That is fine, however, the tooltip for Errata in content search is not clear in noting that the quotes are required.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Sync a bunch of RHEL content (i.e., 6Server system rpms)
2. Content > Content Search > (Content type: Errata)
3. In the errata field, hover over the tooltip.  Note the indication for required text format (see forthcoming screenshot)
4. Enter an errata in the search field per the tooltips (i.e., RHSA-2010:0842) and hit return; view results
5. Enter an errata in the search field per the tooltips (i.e., "RHSA-2010:0842" -- with quotes) and hit return; view results
  
Actual results:
The former returns no results; the latter returns results.

Expected results:
I think it's perfectly fine for the former to return no results -- all those non alpha characters may well wreak havoc with search.  However, the tooltip makes no mention of the quotes being required.  We need to make sure that is clear in the tooltip.


Additional info:
Comment 1 Corey Welton 2012-09-27 14:48:41 EDT
Created attachment 618229 [details]
screenshot
Comment 3 Walden Raines 2014-11-04 14:23:57 EST
This has been invalidated by the introduction of errata management as errata has been removed as an item from content search.
Comment 4 sthirugn@redhat.com 2015-03-17 11:05:30 EDT
Verified.

Search with autocomplete works fine in the new UI -> Content -> Errata - For example, I can search for id =  RHSA-2015:0674 and it worked fine.

Version Tested:
Satellite-6.1.0-RHEL-6-20150311.1
Comment 5 Bryan Kearney 2015-08-11 09:23:56 EDT
This bug is slated to be released with Satellite 6.1.
Comment 6 Bryan Kearney 2015-08-12 09:58:56 EDT
This bug was fixed in version 6.1.1 of Satellite which was released on 12 August, 2015.

Note You need to log in before you can comment on or make changes to this bug.